Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.impl.jsr168
Class PortletResourceBundleFactory

    java.lang.Object
      org.jboss.portal.portlet.impl.jsr168.PortletResourceBundleFactory

All Implemented Interfaces:
  org.jboss.portal.common.i18n.ResourceBundleFactory

    public class PortletResourceBundleFactory

extends java.lang.Object
implements org.jboss.portal.common.i18n.ResourceBundleFactory

Manage resource bundles for a portlet.

Version:
  $Revision: 6818 $
Author:
  Julien Viet, Thomas Heute

Constructor Summary
`PortletResourceBundleFactory(org.jboss.portal.common.i18n.ResourceBundleManager bundleMgr, ContainerPortletInfo containerInfo)`

Method Summary
`static org.jboss.portal.common.i18n.ResourceBundleManager` | `createResourceBundleManager(org.jboss.portal.common.i18n.ResourceBundleManager bundleMgr, ContainerPortletInfo containerInfo)`
`java.util.ResourceBundle` | `getBundle(java.util.Locale locale)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PortletResourceBundleFactory

    public PortletResourceBundleFactory(org.jboss.portal.common.i18n.ResourceBundleManager bundleMgr,
                                        ContainerPortletInfo containerInfo)

Method Detail

### createResourceBundleManager

    public static org.jboss.portal.common.i18n.ResourceBundleManager createResourceBundleManager(org.jboss.portal.common.i18n.ResourceBundleManager bundleMgr,
                                                                                                 ContainerPortletInfo containerInfo)

### getBundle

    public java.util.ResourceBundle getBundle(java.util.Locale locale)

  Specified by:
    `getBundle` in interface `org.jboss.portal.common.i18n.ResourceBundleFactory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.